Skip site navigation (1) Skip section navigation (2)

PATCH: The linker complains about the '-bundle_loader "../../src/backend/postgres"' against PostgreSQL 8.4 on OSX

From: Ashesh Vashi <ashesh(dot)vashi(at)enterprisedb(dot)com>
To: Heikki Linnakangas <heikki(dot)linnakangas(at)enterprisedb(dot)com>
Cc: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: PATCH: The linker complains about the '-bundle_loader "../../src/backend/postgres"' against PostgreSQL 8.4 on OSX
Date: 2012-04-30 12:14:32
Message-ID: CAG7mmowJ61EpZsBsUgpKDCaiYNAN3Tzux7MPZML40fv7L25F4A@mail.gmail.com (view raw or flat)
Thread:
Lists: pgadmin-hackers
Hi Heikki,

With PostgreSQL 8.4.11, I still face the same issue, resolved as part of
the following checked-in:
http://git.postgresql.org/gitweb/?p=pldebugger.git;a=commitdiff;h=b9c756ef6cd4bdabea203905b2071d0e6b4e0d4d

I tried to resolve the issue by removing the duplicate words for the
SHLIB_LINK variable in the Makefile for pldebugger.
I just changed it specifically for PostgreSQL 8.4 on OSX platform, because
PostgreSQL build script may get changed in future releases (i.e. pldebugger
is compiling well with PostgreSQL 9.0+ on OSX because of such modification.)

Please find the attached patch for the same.
I know - it looks ugly, but I could not think of any other solution at the
moment.

--

Thanks & Regards,

Ashesh Vashi
EnterpriseDB INDIA: Enterprise PostgreSQL Company<http://www.enterprisedb.com>



*http://www.linkedin.com/in/asheshvashi*<http://www.linkedin.com/in/asheshvashi>

Attachment: pldebugger_duplicate_bundle_loader.patch
Description: application/octet-stream (749 bytes)

Responses

pgadmin-hackers by date

Next:From: Guillaume LelargeDate: 2012-04-30 14:36:24
Subject: pgAdmin III commit: Fix constraint triggers SQL
Previous:From: Thom BrownDate: 2012-04-29 21:22:41
Subject: Re: pgAdmin III commit: Add support for range types (9.2+)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group